Server Actions
logs
10 Server Actions du domaine logs, générées depuis le registre de l’API agent.
logs__createBay
| Argument | Type | Requis |
|---|---|---|
locationId | string | oui |
rawLabel | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__createBay",
"args": [
"<locationId>",
"<rawLabel>"
]
}'logs__createLogs
| Argument | Type | Requis |
|---|---|---|
input | { purchaseId: string; rows: Record<string, string>[] } | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__createLogs",
"args": [
"<input>"
]
}'logs__createOperator
| Argument | Type | Requis |
|---|---|---|
input | Record<string, string> | oui |
roles | string[] | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__createOperator",
"args": [
"<input>",
"<roles>"
]
}'logs__createPurchase
| Argument | Type | Requis |
|---|---|---|
input | Record<string, string> | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__createPurchase",
"args": [
"<input>"
]
}'logs__createSawingRun
| Argument | Type | Requis |
|---|---|---|
input | Record<string, string> | oui |
logIds | string[] | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__createSawingRun",
"args": [
"<input>",
"<logIds>"
]
}'logs__createSupplier
| Argument | Type | Requis |
|---|---|---|
input | Record<string, string> | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__createSupplier",
"args": [
"<input>"
]
}'logs__deleteOperator
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__deleteOperator",
"args": [
"<id>"
]
}'logs__deleteSupplier
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__deleteSupplier",
"args": [
"<id>"
]
}'logs__updateOperator
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
input | Record<string, string> | oui |
roles | string[] | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__updateOperator",
"args": [
"<id>",
"<input>",
"<roles>"
]
}'logs__updateSupplier
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
input | Record<string, string> | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "logs__updateSupplier",
"args": [
"<id>",
"<input>"
]
}'